## NOTE nonfree only
#
# No more for linux 32bits
ExclusiveArch: armv7hl aarch64 x86_64

%define piname	s63_pi
%global ocpnlibscommit0 9804fbeae263dc51f26fa8773c6796b82ceae5fd
%global  _disable_ld_no_undefined 1

Name:		opencpn-s63-plugin
Summary:	Plugin for OpenCpn allowing the use of encrypted charts
Version:	1.30.0.11
Release:	%mkrel 3
License:	GPLv2
# Permission to distribute the binaries is in the README
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/s63.html
Source0:	https://github.com/bdbcat/%{piname}/archive/%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     s63_pi-1.30.0.11-GetArch.patch
Patch1:     s63-OCPNsenc-CMakeLists.patch
Patch2:     opencpn-libs-9804fbe-tinyxml.patch
Patch3:     opencpn-libs-9804fbe-json.patch


BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
S-63 is the encrypted distribution format for S-57 vector charts.

Today, hydrographical offices all over the world are producing their official
vector charts in the S-57 format.

Distribution is done under the S-63 standard.

This plugin allows you to download and install charts you have purchased from
http://o-charts.org/

To use the encrypted charts, you must get a license for your particular machine
(called a Permit), make sure to visit http://o-charts.org/ for more information
and to get the permits.

This package is only available in the nonfree repository as it contains
pre-built binaries.

%prep
%autosetup -a1 -p1 -n %{piname}-%{version}

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_docdir}/%{piname}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
cp -r data/ %{buildroot}%{_datadir}/opencpn/plugins/%{piname}
cp -r %{_vpath_builddir}/app/S63-1.30-mageia-*/share/locale %{buildroot}%{_datadir}


%ifarch x86_64
cp -r %{_builddir}/%{piname}-%{version}/libs/OCPNsenc/linux64/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch armv7hl
cp -r %{_builddir}/%{piname}-%{version}/libs/OCPNsenc/linuxarm/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch aarch64
cp -r %{_builddir}/%{piname}-%{version}/libs/OCPNsenc/linuxarm64/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%files 
%doc README
%{_bindir}/*
%{_libdir}/opencpn/
%{_datadir}/opencpn/plugins/%{piname}/data/*.*
%{_datadir}/locale


%changelog
* Tue Jun 25 2024 philippedidier <philippedidier> 1.30.0.11-3.mga9
+ Revision: 2076617
- new version 1.30.0.11 improving charts display

* Tue May 30 2023 philippedidier <philippedidier> 1.19.0-1.mga9.nonfree
+ Revision: 1959947
- new version 1.19.0 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.17.13-2.mga9.nonfree
+ Revision: 1868278
- New version 1.17.13

* Fri Apr 15 2022 umeabot <umeabot> 1.17.6-2.mga9.nonfree
+ Revision: 1850467
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 philippedidier <philippedidier> 1.17.6-1.mga9.nonfree
+ Revision: 1743748
- update OCPNsenc utility to v 1.41

* Mon Jul 12 2021 barjac <barjac> 1.17.1-3.mga9.nonfree
+ Revision: 1735761
- Build with wxgtku3.0 not 3.1

* Sat Jun 26 2021 barjac <barjac> 1.17.1-2.2.mga9.nonfree
+ Revision: 1733892
-use wxgtku3.1-devel BR
- manually copy nonfree binary blobs from sources as CMakeLists.txt fails to do it

* Tue Jun 22 2021 barjac <barjac> 1.17.1-1.mga9.nonfree
+ Revision: 1731663
- new version 1.17.1
- now with permission to distribute in README
- added script to generate tarball as there are no releases in github

* Thu Jun 02 2016 daviddavid <daviddavid> 1.4-3.mga6
+ Revision: 1019835
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.4-2.mga6
+ Revision: 962342
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 1.4-1.mga6
+ Revision: 951001
- new version 1.4

* Tue Dec 08 2015 barjac <barjac> 1.2-1.mga6
+ Revision: 908782
- new package opencpn-s63-plugin

